EnKash Developer Portal
Home
Home
Login
  1. Payment Links
  • Back to home
  • APIs - Payment Gateway
  • Authorization
    • Generate Authorization Token
    • Payment Modes Details
  • Order
    • UPI Intent Links
    • Get Dynamic UPI QR
    • Create Order
    • Get Order Status
    • Get Order By Merchant Order Id
    • Get BNPL Payment Methods
    • Search Order
  • Payment
    • Get Transaction Status
    • Submit Payment Request
    • Payment Webhook Request
    • Verify UPI VPA
    • Validate OTP
    • Get UPI Transaction Status
    • Resend OTP
    • Search Transaction
  • Refund
    • Refund
    • Get Refund Transaction Status
    • Refund Webhook Request
  • Settlement
    • Get Settlement Payout By ID
    • Search Settlement Payouts
  • Split Settlement
    • Get All Split Settlement Account
    • Deactivate Split Settlement Account
    • Submit Payment with Split Details
    • Activate Split Settlement Account
    • Edit Or Deferred Split Settlement
    • Create Split Settlement Account
    • Update Split Settlement Account
    • Get IntentLink/QrCode with Split details
  • E-Commerce Plugins
  • UPI QR
    • Create UPI QR
    • Get UPI QR
    • Search UPI QR
    • Create Customer
    • Search Customer
    • Cancel UPI QR
  • UPI Autopay
    • Mocking & Simulator (UAT)
    • Create UPI Mandate
    • Update UPI Mandate
    • Revoke UPI Mandate
    • Get UPI Mandate
    • UPI Mandate Callback
    • Mandate Pre-debit Notification
    • Execute Mandate Debit
    • Mandate Debit Callback
  • Payment Links
    • Payment Link APIs
    • Create Payment Link
      POST
    • Webhook Request
      POST
    • Get Payment Link Details
      GET
    • Delete Payment Link
      DELETE
  • E-Collect
    • Create Virtual Account
    • View Virtual Account by Id
    • Update Virtual Account
    • View Virtual Account by Account Number
    • Search Virtual Account
    • Search Transactions
    • View Virtual Account by Customer Reference Id
  1. Payment Links

Create Payment Link

POST
/api/v0/quick-collect
šŸ“Œ
Use this API to generate a payment link with Olympus directly from your backend. This enables you to create payment links programmatically and collect payments seamlessly, without requiring manual link creation or front-end dependency.

Request

Header Params

Body Params application/json

Examples
{
    "paymentMode": "UPI",
    "amount": 1000,
    "customerName": "custname",
    "customerEmail": "kartik.kalia@gmail.com",
    "customerPhone": "9898989899",
    "description": "test",
    "note": "note",
    "dueDate": "2026-10-31",
    "notifyEmail": true,
    "notifyPhone": true,
    "reference": "refnum",
    "minAmount": 1,
    "expiryDate": "2027-04-14 23:59:27",
    "partialPaymentAllowed": true
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://kashflo-uat.enkash.in//api/v0/quick-collect' \
--header 'Authorization: Bearer ZW5rYXNoLWNsaWVudDplbmthc2gtc2VjcmV0' \
--header 'Content-Type: application/json' \
--data-raw '{
    "paymentMode": "UPI",
    "amount": 1000,
    "customerName": "custname",
    "customerEmail": "kartik.kalia@gmail.com",
    "customerPhone": "9898989899",
    "description": "test",
    "note": "note",
    "dueDate": "2026-10-31",
    "notifyEmail": true,
    "notifyPhone": true,
    "reference": "refnum",
    "minAmount": 1,
    "expiryDate": "2027-04-14 23:59:27",
    "partialPaymentAllowed": true
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "amount": 1000.00,
    "customerId": "123",
    "customerName": "custname",
    "customerEmail": "kartik.kalia@gmail.com",
    "customerPhone": "9898989899",
    "description": "test",
    "dueDate": "2026-10-31",
    "notifyEmail": true,
    "notifyPhone": true,
    "paymentLink": "https://example.com/pay/123",
    "payoutDetails": [],
    "payoutStatus": {
        "label": "Unpaid",
        "name": "UNPAID"
    },
    "receivableStatus": {
        "label": "Unpaid",
        "name": "UNPAID"
    },
    "status": "ACTIVE",
    "minAmount": 1.00,
    "totalReceived": 0.00,
    "balanceAmount": 1000.00,
    "partialPaymentAllowed": true,
    "paymentLinkSource": "INVOICE"
}
Modified atĀ 2026-10-14 11:53:04
Previous
Payment Link APIs
Next
Webhook Request
Built with